RELAY_LATE_SETUP_FIL(9)

NAME
relay_late_setup_files - triggers file creation

SYNOPSIS

int relay_late_setup_files(struct rchan * chan, const char * base_filename, struct dentry * parent);

ARGUMENTS

chan
    channel to operate on

base_filename
    base name of files to create

parent
    dentry of parent directory, NULL for root directory

DESCRIPTION

Returns 0 if successful, non-zero otherwise.

Use to setup files for a previously buffer-only channel. Useful to do early tracing in kernel, before VFS is up, for example.

COPYRIGHT